Bug 1653088 - Review Request: bird2 - BIRD Internet Routing Daemon
Summary: Review Request: bird2 - BIRD Internet Routing Daemon
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-25 16:18 UTC by Robert Scheck
Modified: 2019-03-28 23:53 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-03-28 23:53:54 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Robert Scheck 2018-11-25 16:18:36 UTC
Spec URL: https://labs.linuxnetz.de/bugzilla/bird2.spec
SRPM URL: https://labs.linuxnetz.de/bugzilla/bird2-2.0.2-5.src.rpm
Description: BIRD is dynamic routing daemon supporting IPv4 and IPv6
versions of routing protocols BGP, RIP and OSPF.

Note: This package is only intended for EPEL, it's actually a renamed
bird copy plus https://src.fedoraproject.org/rpms/bird/pull-request/2

Comment 1 Robert-André Mauchin 2018-11-25 17:30:56 UTC
 - Group: is not used in Fedora

 - 
BuildRequires:    systemd
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

 Use instead:

BuildRequires: systemd-rpm-macros
%{?systemd_requires}

 - Requires(pre):    /usr/sbin/useradd → Requires(pre): shadow-utils

 - Fix the summary for the doc:

%package doc
Summary:          Documentation for BIRD Internet Routing Daemon


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GNU General Public License", "GNU Lesser General Public
     License", "Unknown or generated", "*No copyright* GNU General Public
     License". 97 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/bird2/review-
     bird2/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /var/lib/bird(bird)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: systemd_post is invoked in %post, systemd_preun in %preun, and
     systemd_postun in %postun for Systemd service files.
     Note: Systemd service file(s) in bird2
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     bird2-doc , bird2-debuginfo , bird2-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: bird2-2.0.2-5.fc30.x86_64.rpm
          bird2-doc-2.0.2-5.fc30.noarch.rpm
          bird2-debuginfo-2.0.2-5.fc30.x86_64.rpm
          bird2-debugsource-2.0.2-5.fc30.x86_64.rpm
          bird2-2.0.2-5.fc30.src.rpm
bird2.x86_64: E: missing-call-to-setgroups-before-setuid /usr/sbin/bird
bird2.x86_64: W: non-standard-gid /etc/bird.conf bird
bird2.x86_64: E: non-readable /etc/bird.conf 640
bird2.x86_64: W: non-standard-uid /var/lib/bird bird
bird2.x86_64: W: non-standard-gid /var/lib/bird bird
bird2.x86_64: E: non-standard-dir-perm /var/lib/bird 750
bird2.x86_64: W: no-manual-page-for-binary bird
bird2.x86_64: W: no-manual-page-for-binary birdc
bird2.x86_64: W: no-manual-page-for-binary birdcl
5 packages and 0 specfiles checked; 3 errors, 6 warnings.

Comment 2 Robert Scheck 2018-11-25 17:46:41 UTC
While "Group:" is indeed not used in Fedora, "rpm -qi" still shows it on
RHEL/CentOS 7 by default, thus I would prefer to keep it - if acceptable?

Comment 3 Robert-André Mauchin 2018-11-25 18:10:03 UTC
Ok.

Comment 4 Robert Scheck 2018-11-25 18:31:44 UTC
Well, systemd-rpm-macros doesn't seem to be (yet?) provided for EPEL 7 [1].

Spec URL: https://labs.linuxnetz.de/bugzilla/bird2.spec
SRPM URL: https://labs.linuxnetz.de/bugzilla/bird2-2.0.2-6.src.rpm

[1] https://kojipkgs.fedoraproject.org//work/tasks/5700/31105700/root.log

Comment 5 Robert-André Mauchin 2018-11-25 21:00:14 UTC
Package approved.

Comment 6 Gwyn Ciesla 2018-11-26 14:46:36 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/bird2

Comment 7 Robert Scheck 2018-11-29 20:30:58 UTC
Robert-André, thank you really very much for the package review!

Comment 8 Fedora Update System 2018-11-29 20:32:28 UTC
bird2-2.0.2-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-317f0bdd38

Comment 9 Fedora Update System 2018-11-29 20:33:14 UTC
bird2-2.0.2-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b4eae8221c

Comment 10 Fedora Update System 2018-11-30 03:14:40 UTC
bird2-2.0.2-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-317f0bdd38

Comment 11 Fedora Update System 2018-11-30 04:22:33 UTC
bird2-2.0.2-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b4eae8221c


Note You need to log in before you can comment on or make changes to this bug.